Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007191opensim[REGION] Physics Enginespublic2014-05-26 17:302015-08-18 09:34
Reporterdanbanner 
Assigned ToRobert Adams 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0007191: [BULLETSIM] exception with linkset on startup
Descriptionrace condition when creating/destroying large linksets
http://pastebin.com/7Nn2mZe2 [^]

This exception occurs during startup and the region runs very poorly afterwards
TagsNo tags attached.
Git Revision or version number9bae636
Run Mode Grid (1 Region per Sim)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
Viewerany
Attached Filestxt file icon OpensimLog.txt [^] (6,920 bytes) 2014-07-05 13:58 [Show Content]

- Relationships
has duplicate 0007249closedRobert Adams [BULLETSIM LINKSET COMPOUND] Linkset rebuild warning If this happen s more than one or two times 
related to 0007204closedRobert Adams Bulletsim VarRegion recently started crashing on sim startup - Red errors: Exception: System.NullReferenceException 
related to 0007285new Linkset rebuild warning. If this happens more than one or two times, please report in Mantis 7191 
related to 0007364assignedRobert Adams Linkset Rebuild Warning. 
related to 0007544closeddjphil [BULLETSIM LINKSET COMPOUND] Linkset rebuild warning 

-  Notes
(0026172)
Robert Adams (administrator)
2014-05-26 17:59

A note to help fixing: I think the problem is large linksets that contain children that are meshes/sculpties. The child is initially created with a placeholder bounding box and waits for the asset to be fetched. When the asset is fetched, the child is rebuilt to be the real shape and the linkset is scheduled for reconstruction. Not sure offhand the actual race condition but this has been the problem in the past.
(0026193)
danbanner (manager)
2014-05-27 17:47

Found the item by removing objects until the exception went away but re-rezzing the same object didn't cause any exception on restart.
(0026198)
Jim Jackson (reporter)
2014-05-28 01:39

I initially thought the problem was resolved by removing the suspected objects then restarting to find the error gone. Subsequent restarts show this to be intermittent probably occurring 60%-70% of the time.
(0026248)
Robert Adams (administrator)
2014-06-08 09:15

I checked in a fix for this exception by checking for the null pointer and rebuilding the linkset again the next simulation tick. When this happens, a warning message is output. There should only be one or two of these warning messages. If there are more, then please report that. I tried to prevent infinite rebuildings of the linkset but that should not be happening. If it is, there is a different problem.
(0026252)
danbanner (manager)
2014-06-09 18:19

Yes this commit does seem to prevent it from rebuilding infinitely, At least to object is identified and and only causes one exception now

http://pastebin.com/JZMxpG1i [^]
(0026302)
kenvc (reporter)
2014-06-18 18:15

This has happened to me a couple of time, and the last time the sim actually crashed. Included below is the last of the log file before the crash.

2014-06-17 21:48:55,858 INFO - OpenSim.Region.Framework.Scenes.Scene [SCENE]: Loaded 322 objects from the datastore
2014-06-17 21:48:56,139 DEBUG - OpenSim.Region.CoreModules.Framework.UserManagement.UserManagementModule [USER MANAGEMENT MODULE]: Caching creators' data from Moorea Sailing (322 objects)...
2014-06-17 21:48:57,013 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] Linkset rebuild warning. If this happens more than one or two times, please report in Mantis 7191
2014-06-17 21:48:57,013 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] pName=osgrid canoe/d7485874-8f2f-4a1f-a472-e86d4e03b95f, childIdx=1, shape=<phy=<p=unknown,s=SHAPE_UNKNOWN,k=0,n=False>,c=1>
2014-06-17 21:48:57,013 ERROR - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETS SCENE]: ProcessPostTaintTaints: BSLinksetCompound.ScheduleRebuild-3009522312: Exception: System.NullReferenceException: Object reference not set to an instance of an object.
   at OpenSim.Region.Physics.BulletSPlugin.BSAPIUnman.AddToCollisionFlags(BulletBody obj, CollisionFlags flags) in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\Physics\BulletSPlugin\BSAPIUnman.cs:line 968
   at OpenSim.Region.Physics.BulletSPlugin.BSLinksetCompound.<>c__DisplayClass3.<RecomputeLinksetCompound>b__2(BSPrimLinkable cPrim) in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\Physics\BulletSPlugin\BSLinksetCompound.cs:line 413
   at OpenSim.Region.Physics.BulletSPlugin.BSLinkset.ForEachMember(ForEachMemberAction action) in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\Physics\BulletSPlugin\BSLinkset.cs:line 205
   at OpenSim.Region.Physics.BulletSPlugin.BSLinksetCompound.RecomputeLinksetCompound() in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\Physics\BulletSPlugin\BSLinksetCompound.cs:line 362
   at OpenSim.Region.Physics.BulletSPlugin.BSLinksetCompound.<ScheduleRebuild>b__0() in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\Physics\BulletSPlugin\BSLinksetCompound.cs:line 114
   at OpenSim.Region.Physics.BulletSPlugin.BSScene.ProcessPostTaintTaints() in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\Physics\BulletSPlugin\BSScene.cs:line 1040
2014-06-17 21:48:57,793 DEBUG - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM SHAPE MESH] All mesh triangles degenerate. Prim=Object/c639a293-b1b8-4677-bd0c-39a5db40c1ed/pos=<272.9033, 267.2345, 54.81113>/rgn=BulletSim/Moorea Sailing
2014-06-17 21:48:57,793 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM SHAPE] Mesh asset would not mesh. prim=Object/c639a293-b1b8-4677-bd0c-39a5db40c1ed/pos=<272.9033, 267.2345, 54.81113>/rgn=BulletSim/Moorea Sailing, texture=00000000-0000-0000-0000-000000000000
2014-06-17 21:48:58,994 INFO - OpenSim.Region.Framework.Scenes.Scene [SCENE]: Loading land objects from storage
2014-06-17 21:48:59,134 ERROR - OpenSim.Region.CoreModules.World.Land.LandManagementModule [LAND MANAGEMENT MODULE]: Cannot add parcel "Your Parcel", local ID 2 at tile 0,0 because this is still occupied by parcel "Moorea Sailing - A VarRegion Test Sim", local ID 1 in Moorea Sailing
2014-06-17 21:48:59,150 ERROR - OpenSim.Region.CoreModules.World.Land.LandManagementModule [LAND MANAGEMENT MODULE]: Cannot add parcel "Moorea Sailing", local ID 2 at tile 0,0 because this is still occupied by parcel "Moorea Sailing - A VarRegion Test Sim", local ID 1 in Moorea Sailing
2014-06-17 21:48:59,197 DEBUG - OpenSim.Region.CoreModules.World.WorldMap.WorldMapModule [WORLD MAP]: Generating map image for Moorea Sailing
2014-06-17 21:49:00,133 DEBUG - OpenSim.Region.CoreModules.World.Warp3DMap.Warp3DImageModule [WARP 3D IMAGE MODULE]: GC.Collect()
(0026303)
kenvc (reporter)
2014-06-18 18:28

This just happened again on startup and the sim crashed. Here is the last lines of the log file related to this issue.

2014-06-18 20:22:59,894 INFO - OpenSim.Region.Framework.Scenes.Scene [SCENE]: Loaded 322 objects from the datastore
2014-06-18 20:23:00,159 DEBUG - OpenSim.Region.CoreModules.Framework.UserManagement.UserManagementModule [USER MANAGEMENT MODULE]: Caching creators' data from Moorea Sailing (322 objects)...
2014-06-18 20:23:00,939 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] Linkset rebuild warning. If this happens more than one or two times, please report in Mantis 7191
2014-06-18 20:23:00,939 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] pName=osgrid canoe/d7485874-8f2f-4a1f-a472-e86d4e03b95f, childIdx=1, shape=<phy=<p=unknown,s=SHAPE_UNKNOWN,k=0,n=False>,c=1>
2014-06-18 20:23:00,939 ERROR - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETS SCENE]: ProcessPostTaintTaints: BSLinksetCompound.ScheduleRebuild-1076748461: Exception: System.NullReferenceException: Object reference not set to an instance of an object.
   at OpenSim.Region.Physics.BulletSPlugin.BSAPIUnman.AddToCollisionFlags(BulletBody obj, CollisionFlags flags) in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\Physics\BulletSPlugin\BSAPIUnman.cs:line 968
   at OpenSim.Region.Physics.BulletSPlugin.BSLinksetCompound.<>c__DisplayClass3.<RecomputeLinksetCompound>b__2(BSPrimLinkable cPrim) in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\Physics\BulletSPlugin\BSLinksetCompound.cs:line 413
   at OpenSim.Region.Physics.BulletSPlugin.BSLinkset.ForEachMember(ForEachMemberAction action) in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\Physics\BulletSPlugin\BSLinkset.cs:line 205
   at OpenSim.Region.Physics.BulletSPlugin.BSLinksetCompound.RecomputeLinksetCompound() in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\Physics\BulletSPlugin\BSLinksetCompound.cs:line 362
   at OpenSim.Region.Physics.BulletSPlugin.BSLinksetCompound.<ScheduleRebuild>b__0() in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\Physics\BulletSPlugin\BSLinksetCompound.cs:line 114
   at OpenSim.Region.Physics.BulletSPlugin.BSScene.ProcessPostTaintTaints() in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\Physics\BulletSPlugin\BSScene.cs:line 1040
2014-06-18 20:23:01,797 DEBUG - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM SHAPE MESH] All mesh triangles degenerate. Prim=Object/c639a293-b1b8-4677-bd0c-39a5db40c1ed/pos=<272.9033, 267.2345, 54.81113>/rgn=BulletSim/Moorea Sailing
2014-06-18 20:23:01,797 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM SHAPE] Mesh asset would not mesh. prim=Object/c639a293-b1b8-4677-bd0c-39a5db40c1ed/pos=<272.9033, 267.2345, 54.81113>/rgn=BulletSim/Moorea Sailing, texture=00000000-0000-0000-0000-000000000000
2014-06-18 20:23:03,123 INFO - OpenSim.Region.Framework.Scenes.Scene [SCENE]: Loading land objects from storage
2014-06-18 20:23:03,264 ERROR - OpenSim.Region.CoreModules.World.Land.LandManagementModule [LAND MANAGEMENT MODULE]: Cannot add parcel "Your Parcel", local ID 2 at tile 0,0 because this is still occupied by parcel "Moorea Sailing - A VarRegion Test Sim", local ID 1 in Moorea Sailing
2014-06-18 20:23:03,279 ERROR - OpenSim.Region.CoreModules.World.Land.LandManagementModule [LAND MANAGEMENT MODULE]: Cannot add parcel "Moorea Sailing", local ID 2 at tile 0,0 because this is still occupied by parcel "Moorea Sailing - A VarRegion Test Sim", local ID 1 in Moorea Sailing
2014-06-18 20:23:03,342 DEBUG - OpenSim.Region.CoreModules.World.WorldMap.WorldMapModule [WORLD MAP]: Generating map image for Moorea Sailing
2014-06-18 20:23:04,402 DEBUG - OpenSim.Region.CoreModules.World.Warp3DMap.Warp3DImageModule [WARP 3D IMAGE MODULE]: GC.Collect()
(0026305)
Robert Adams (administrator)
2014-06-18 23:04

My last fix wasn't a total fix. Even after printing out the warning, it went ahead and tried to use the data that isn't there. I just checked in a fix for that.
(0026438)
Ken_S (reporter)
2014-07-05 13:57

This has happened again with 10 entries in the log file saying to report it in this mantis if it happens again. I'll attach the log file to this mantis...
(0026486)
kenvc (reporter)
2014-07-16 19:02

This is still happening. Now it is so bad, the sim crashes on startup every time. Here is the log info, but its pretty much the same old problem only now the sim won't start at all.

2014-07-16 20:57:42,756 DEBUG - OpenSim.Region.CoreModules.Framework.UserManagement.UserManagementModule [USER MANAGEMENT MODULE]: Caching creators' data from Moorea Sailing (324 objects)...
2014-07-16 20:57:44,550 DEBUG - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM SHAPE MESH] All mesh triangles degenerate. Prim=Object/c639a293-b1b8-4677-bd0c-39a5db40c1ed/pos=<272.9033, 267.2345, 54.81113>/rgn=BulletSim/Moorea Sailing
2014-07-16 20:57:44,566 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM SHAPE] Mesh asset would not mesh. prim=Object/c639a293-b1b8-4677-bd0c-39a5db40c1ed/pos=<272.9033, 267.2345, 54.81113>/rgn=BulletSim/Moorea Sailing, texture=00000000-0000-0000-0000-000000000000
2014-07-16 20:57:44,597 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] Linkset rebuild warning. If this happens more than one or two times, please report in Mantis 7191
2014-07-16 20:57:44,597 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] pName=osgrid canoe/d7485874-8f2f-4a1f-a472-e86d4e03b95f, childIdx=1, shape=<phy=<p=unknown,s=SHAPE_UNKNOWN,k=0,n=False>,c=1>
2014-07-16 20:57:44,597 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] Linkset rebuild warning. If this happens more than one or two times, please report in Mantis 7191
2014-07-16 20:57:44,597 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] pName=osgrid canoe/d7485874-8f2f-4a1f-a472-e86d4e03b95f, childIdx=2, shape=<phy=<p=unknown,s=SHAPE_UNKNOWN,k=0,n=False>,c=1>
2014-07-16 20:57:44,613 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] Linkset rebuild warning. If this happens more than one or two times, please report in Mantis 7191
2014-07-16 20:57:44,613 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] pName=osgrid canoe/d7485874-8f2f-4a1f-a472-e86d4e03b95f, childIdx=3, shape=<phy=<p=unknown,s=SHAPE_UNKNOWN,k=0,n=False>,c=1>
2014-07-16 20:57:44,613 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] Linkset rebuild warning. If this happens more than one or two times, please report in Mantis 7191
2014-07-16 20:57:44,613 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] pName=osgrid canoe/d7485874-8f2f-4a1f-a472-e86d4e03b95f, childIdx=4, shape=<phy=<p=unknown,s=SHAPE_UNKNOWN,k=0,n=False>,c=1>
2014-07-16 20:57:44,613 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] Linkset rebuild warning. If this happens more than one or two times, please report in Mantis 7191
2014-07-16 20:57:44,628 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] pName=osgrid canoe/d7485874-8f2f-4a1f-a472-e86d4e03b95f, childIdx=5, shape=<phy=<p=unknown,s=SHAPE_UNKNOWN,k=0,n=False>,c=1>
2014-07-16 20:57:44,628 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] Linkset rebuild warning. If this happens more than one or two times, please report in Mantis 7191
2014-07-16 20:57:44,628 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] pName=osgrid canoe/d7485874-8f2f-4a1f-a472-e86d4e03b95f, childIdx=6, shape=<phy=<p=unknown,s=SHAPE_UNKNOWN,k=0,n=False>,c=1>
2014-07-16 20:57:44,628 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] Linkset rebuild warning. If this happens more than one or two times, please report in Mantis 7191
2014-07-16 20:57:44,628 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] pName=osgrid canoe/d7485874-8f2f-4a1f-a472-e86d4e03b95f, childIdx=7, shape=<phy=<p=unknown,s=SHAPE_UNKNOWN,k=0,n=False>,c=1>
2014-07-16 20:57:44,628 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] Linkset rebuild warning. If this happens more than one or two times, please report in Mantis 7191
2014-07-16 20:57:44,628 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] pName=osgrid canoe/d7485874-8f2f-4a1f-a472-e86d4e03b95f, childIdx=8, shape=<phy=<p=unknown,s=SHAPE_UNKNOWN,k=0,n=False>,c=1>
2014-07-16 20:57:44,644 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] Linkset rebuild warning. If this happens more than one or two times, please report in Mantis 7191
2014-07-16 20:57:44,644 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] pName=osgrid canoe/d7485874-8f2f-4a1f-a472-e86d4e03b95f, childIdx=9, shape=<phy=<p=unknown,s=SHAPE_UNKNOWN,k=0,n=False>,c=1>
2014-07-16 20:57:44,644 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] Linkset rebuild warning. If this happens more than one or two times, please report in Mantis 7191
2014-07-16 20:57:44,644 WARN - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETSIM LINKSET COMPOUND] pName=osgrid canoe/d7485874-8f2f-4a1f-a472-e86d4e03b95f, childIdx=10, shape=<phy=<p=unknown,s=SHAPE_UNKNOWN,k=0,n=False>,c=1>
2014-07-16 20:57:44,644 ERROR - OpenSim.Region.Physics.BulletSPlugin.BSScene [BULLETS SCENE]: ProcessPostTaintTaints: BSLinksetCompound.ScheduleRebuild-2235642160: Exception: System.NullReferenceException: Object reference not set to an instance of an object.
   at OpenSim.Region.Physics.BulletSPlugin.BSAPIUnman.AddToCollisionFlags(BulletBody obj, CollisionFlags flags) in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\Physics\BulletSPlugin\BSAPIUnman.cs:line 968
   at OpenSim.Region.Physics.BulletSPlugin.BSLinksetCompound.<>c__DisplayClass3.<RecomputeLinksetCompound>b__2(BSPrimLinkable cPrim) in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\Physics\BulletSPlugin\BSLinksetCompound.cs:line 414
   at OpenSim.Region.Physics.BulletSPlugin.BSLinkset.ForEachMember(ForEachMemberAction action) in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\Physics\BulletSPlugin\BSLinkset.cs:line 205
   at OpenSim.Region.Physics.BulletSPlugin.BSLinksetCompound.RecomputeLinksetCompound() in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\Physics\BulletSPlugin\BSLinksetCompound.cs:line 362
   at OpenSim.Region.Physics.BulletSPlugin.BSLinksetCompound.<ScheduleRebuild>b__0() in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\Physics\BulletSPlugin\BSLinksetCompound.cs:line 114
   at OpenSim.Region.Physics.BulletSPlugin.BSScene.ProcessPostTaintTaints() in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\Physics\BulletSPlugin\BSScene.cs:line 1046
2014-07-16 20:57:46,141 INFO - OpenSim.Region.Framework.Scenes.Scene [SCENE]: Loading land objects from storage
2014-07-16 20:57:46,297 ERROR - OpenSim.Region.CoreModules.World.Land.LandManagementModule [LAND MANAGEMENT MODULE]: Cannot add parcel "Your Parcel", local ID 2 at tile 0,0 because this is still occupied by parcel "Moorea Sailing - A VarRegion Test Sim", local ID 1 in Moorea Sailing
2014-07-16 20:57:46,313 ERROR - OpenSim.Region.CoreModules.World.Land.LandManagementModule [LAND MANAGEMENT MODULE]: Cannot add parcel "Moorea Sailing", local ID 2 at tile 0,0 because this is still occupied by parcel "Moorea Sailing - A VarRegion Test Sim", local ID 1 in Moorea Sailing
2014-07-16 20:57:46,375 DEBUG - OpenSim.Region.CoreModules.World.WorldMap.WorldMapModule [WORLD MAP]: Generating map image for Moorea Sailing
(0026488)
Robert Adams (administrator)
2014-07-17 07:12

If this is happening every time, turn on detailed physics logging (look under [BulletSim] in OpenSimDefaults.ini). That will write log files in the directory specified. Zip up those log files and attach them to this Mantis. I want to stomp this problem.
(0026506)
kenvc (reporter)
2014-07-18 17:16
edited on: 2014-07-18 18:12

Robert, sorry but I manually deleted the OSGrid canoe from the database that was causing this problem so the sim could start without crashing before I saw your message here.

(0026616)
Robert Adams (administrator)
2014-07-26 16:06

I just checked in some changes that should recover from building delays or error better. Hope that makes things better.
(0026657)
kenvc (reporter)
2014-08-02 16:01

Robert, as far as I can tell this is fixed but I deleted the object that was causing an actual crash.
(0027132)
kenvc (reporter)
2014-12-22 06:59

Marking this as resolved, although I no longer have the object that was causing the crash to do further testing. It had to be deleted in order to start the sim.
(0027140)
Diva (administrator)
2014-12-25 20:40

Got this just now. No crash, though.

5:48:49 - [BULLETSIM LINKSET COMPOUND]: Linkset rebuild warning. If this happens more than one or two times, please report in Mantis 7191

05:48:49 - [BULLETSIM LINKSET COMPOUND]: pName=Sedan 05 [Mesh] (YELLOW)/fc6b4af1-cd9a-41c3-a60a-69fa6b2c1098, childIdx=1, shape=<phy=<p=unknown,s=SHAPE_UNKNOWN,k=0,n=False>,c=1>

05:48:49 - [BULLETSIM LINKSET COMPOUND]: Linkset rebuild warning. If this happens more than one or two times, please report in Mantis 7191

05:48:49 - [BULLETSIM LINKSET COMPOUND]: pName=SUV 02 [Mesh] (GREEN)/eb30e6a4-5818-4841-859b-141c9e94189d, childIdx=1, shape=<phy=<p=unknown,s=SHAPE_UNKNOWN,k=0,n=False>,c=1>

05:48:49 - [BULLETSIM LINKSET COMPOUND]: Linkset rebuild warning. If this happens more than one or two times, please report in Mantis 7191

05:48:49 - [BULLETSIM LINKSET COMPOUND]: pName=Wagon 01 [Mesh] (TAN)/77c6f97b-f15c-45da-969d-21d0dbbcb6db, childIdx=1, shape=<phy=<p=unknown,s=SHAPE_UNKNOWN,k=0,n=False>,c=1>

05:48:49 - [BULLETSIM LINKSET COMPOUND]: Linkset rebuild warning. If this happens more than one or two times, please report in Mantis 7191

05:48:49 - [BULLETSIM LINKSET COMPOUND]: pName=Fiat 500 [Mesh] (WHITE)/d66e29cd-7bbc-4e5c-b4ec-aad803a308c2, childIdx=1, shape=<phy=<p=unknown,s=SHAPE_UNKNOWN,k=0,n=False>,c=1>

05:48:49 - [BULLETSIM LINKSET COMPOUND]: Linkset rebuild warning. If this happens more than one or two times, please report in Mantis 7191

05:48:49 - [BULLETSIM LINKSET COMPOUND]: pName=Sedan 06 [Mesh] (RED)/0ecd1d3a-0355-43b5-8a6b-44b6851057b8, childIdx=1, shape=<phy=<p=unknown,s=SHAPE_UNKNOWN,k=0,n=False>,c=1>
(0027141)
Robert Adams (administrator)
2014-12-26 17:50

The 'more than one or two times' phrasing should be changed. This message happens when it takes a while to get the mesh for a linkset member. In this report, the log messages come out once for several different objects ("Sedan 05", "SUV 02", "Wagon 01", ...). Displaying once for one object is not a problem (took two simulator ticks to fetch the mesh) while coming out repeatedly for one object is bad.

This particular report does not show a problem but I'll consider changing the text of the error message.
(0029229)
aiaustin (developer)
2015-08-18 09:34

Resolved issue marked as closed. Please open a new issue and refer to this one if problems arise.

- Issue History
Date Modified Username Field Change
2014-05-26 17:30 danbanner New Issue
2014-05-26 17:59 Robert Adams Note Added: 0026172
2014-05-26 17:59 Robert Adams Assigned To => Robert Adams
2014-05-26 17:59 Robert Adams Status new => assigned
2014-05-27 17:47 danbanner Note Added: 0026193
2014-05-28 01:39 Jim Jackson Note Added: 0026198
2014-06-08 09:12 Robert Adams Relationship added related to 0007204
2014-06-08 09:15 Robert Adams Note Added: 0026248
2014-06-09 18:19 danbanner Note Added: 0026252
2014-06-18 18:15 kenvc Note Added: 0026302
2014-06-18 18:28 kenvc Note Added: 0026303
2014-06-18 23:04 Robert Adams Note Added: 0026305
2014-07-05 13:57 Ken_S Note Added: 0026438
2014-07-05 13:58 Ken_S File Added: OpensimLog.txt
2014-07-16 19:02 kenvc Note Added: 0026486
2014-07-16 19:02 kenvc Priority normal => high
2014-07-16 19:02 kenvc Severity major => crash
2014-07-17 07:12 Robert Adams Note Added: 0026488
2014-07-18 17:16 kenvc Note Added: 0026506
2014-07-18 18:12 kenvc Note Edited: 0026506 View Revisions
2014-07-26 12:31 Robert Adams Relationship added has duplicate 0007249
2014-07-26 16:06 Robert Adams Note Added: 0026616
2014-08-01 19:25 Mata Hari Relationship added related to 0007285
2014-08-02 16:01 kenvc Note Added: 0026657
2014-11-04 05:03 Mata Hari Relationship added related to 0007364
2014-12-22 06:59 kenvc Note Added: 0027132
2014-12-22 06:59 kenvc Status assigned => resolved
2014-12-22 06:59 kenvc Fixed in Version => master (dev code)
2014-12-22 06:59 kenvc Resolution open => fixed
2014-12-25 20:40 Diva Note Added: 0027140
2014-12-26 17:50 Robert Adams Note Added: 0027141
2015-05-05 13:31 Mata Hari Relationship added related to 0007544
2015-08-18 09:34 aiaustin Note Added: 0029229
2015-08-18 09:34 aiaustin Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker